/*
 *  Copyright  2004  Day Choi <eo1120@yahoo.co.kr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _UTILITY_H
#define _UTILITY_H

#ifdef __cplusplus
extern "C"
{
#endif

#ifdef __cplusplus
}
#endif

extern std::string itoa(unsigned int i);
extern std::string itoa(unsigned int i, int radix);
extern std::string b64Decode(const std::string& str);
extern std::string b64Encode(const std::string& str);
extern std::string url_decode(const std::string& get_str);
extern std::string url_decode_unescape(const std::string& get_str);
extern std::string url_encode(const std::string& get_str);
extern std::string toLower (const std::string & s);
extern std::string toUpper (const std::string & s);
extern const std::string pixmap_dir(const std::string& get_str);
#endif /* _UTILITY_H */
