/*
 *  Copyright  2004  Day Choi <eo1120@yahoo.co.kr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _LOGINWINDOW_H
#define _LOGINWINDOW_H

#ifdef __cplusplus
extern "C"
{
#endif

#ifdef __cplusplus
}
#endif

#include "SockChannel.h"
#include <gtkmm/window.h>
#include <gdk/gdkkeysyms.h>
#include <gtkmm/label.h>
#include <gtkmm/entry.h>
#include <gtkmm/treeview.h>
#include <gtkmm/combo.h>
#include <gtkmm/button.h>
#include <gtkmm/buttonbox.h>
#include <gtkmm/box.h>
#include <glibmm/main.h>
#include "smartpointer.h"
typedef smart_pointer<SockChannel> SockChannelPtr;

class LoginWindow : public Gtk::Window
{
public:
	LoginWindow();
	~LoginWindow();
	void on_activate_entry();
	void connect();
	
private:
	Gtk::Combo* combo1;
	Gtk::Entry* entry1;
	SockChannelPtr sockchannel;
	bool io_handler(Glib::IOCondition cond);
};

#endif /* _LOGINWINDOW_H */
